package com.cm.common.pojo.vos.push;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: PushMessageDTO
 * @Description: 推送消息
 * @Author: WangGeng
 * @Date: 2019/10/13 7:32 下午
 * @Version: 1.0
 **/
@ApiModel
public class PushMessageVO {

    @ApiModelProperty(name = "title", value = "标题")
    private String title;
    @ApiModelProperty(name = "content", value = "内容")
    private String content;

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"title\":")
                .append("\"").append(title).append("\"");
        sb.append(",\"content\":")
                .append("\"").append(content).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
